Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng
Class DateChooser

    java.lang.Object
      nextapp.echo2.app.Component
          echopointng.ComponentEx
              echopointng.AbleComponent
                  echopointng.DateChooser

All Implemented Interfaces:
  AccessKeyable, Attributeable, Borderable, Delegateable, Heightable, Insetable, MouseCursorable, Sizeable, ToolTipable, Widthable, java.io.Serializable, RenderIdSupport

    public class DateChooser

extends AbleComponent

The `DateChooser` class can be used to navigate dates and select a specified date.

The class uses the `CalendarSelectionModel` interface to keep track of the currently selected date. If no calendar is provided on the the constructor, then todays date is used.

The control consists of three sections, the top level navigation section, the calendar section and the selection sections. You can use the relevant accessor to set/get properties that control the apperance of each section.

When the `DateChooser` is in fast mode, the navigation between months does not result in the `DateSelectionModel`'s displayedDate being updated. The model will be updated if the user selects a date however. Fast mode is the default.

See Also:
  Serialized Form

Field Summary
`static Style` | `BLACK_AND_WHITE_STYLE` A black and white Style for DateChooser
`static Style` | `COLORFUL_STYLE` A colorful Style for DateChooser
`static ImageReference` | `DEFAULT_NAVIGATION_BACKWARD_IMAGE`
`static ImageReference` | `DEFAULT_NAVIGATION_FORWARD_IMAGE`
`static Style` | `DEFAULT_STYLE` The default Style for DateChooser
`static java.lang.String` | `PROPERTY_CALENDAR_BACKGROUND`
`static java.lang.String` | `PROPERTY_CALENDAR_BORDER`
`static java.lang.String` | `PROPERTY_CALENDAR_FONT`
`static java.lang.String` | `PROPERTY_CALENDAR_FOREGROUND`
`static java.lang.String` | `PROPERTY_CALENDAR_NON_MONTH_FOREGROUND`
`static java.lang.String` | `PROPERTY_CALENDAR_ROLLOVER_BACKGROUND`
`static java.lang.String` | `PROPERTY_CALENDAR_ROLLOVER_BORDER`
`static java.lang.String` | `PROPERTY_CALENDAR_ROLLOVER_FOREGROUND`
`static java.lang.String` | `PROPERTY_CALENDAR_SELECTED_BACKGROUND`
`static java.lang.String` | `PROPERTY_CALENDAR_SELECTED_BORDER`
`static java.lang.String` | `PROPERTY_CALENDAR_SELECTED_FONT`
`static java.lang.String` | `PROPERTY_CALENDAR_SELECTED_FOREGROUND`
`static java.lang.String` | `PROPERTY_DOW_NAME_LENGTH`
`static java.lang.String` | `PROPERTY_FAST_MODE`
`static java.lang.String` | `PROPERTY_MAXIMUM_DATE`
`static java.lang.String` | `PROPERTY_MINIMUM_DATE`
`static java.lang.String` | `PROPERTY_MODEL`
`static java.lang.String` | `PROPERTY_MONTH_NAME_LENGTH`
`static java.lang.String` | `PROPERTY_MONTH_SELECTABLE`
`static java.lang.String` | `PROPERTY_NAVIGATION_ARROWS_VISIBLE`
`static java.lang.String` | `PROPERTY_NAVIGATION_BACKGROUND`
`static java.lang.String` | `PROPERTY_NAVIGATION_BACKWARD_IMAGE`
`static java.lang.String` | `PROPERTY_NAVIGATION_FONT`
`static java.lang.String` | `PROPERTY_NAVIGATION_FOREGROUND`
`static java.lang.String` | `PROPERTY_NAVIGATION_FORWARD_IMAGE`
`static java.lang.String` | `PROPERTY_NAVIGATION_INHIBITED`
`static java.lang.String` | `PROPERTY_SELECTED_BACKGROUND`
`static java.lang.String` | `PROPERTY_SELECTED_BORDER`
`static java.lang.String` | `PROPERTY_SELECTED_FONT`
`static java.lang.String` | `PROPERTY_SELECTED_FOREGROUND`
`static java.lang.String` | `PROPERTY_SELECTED_ROLLOVER_BACKGROUND`
`static java.lang.String` | `PROPERTY_SELECTED_ROLLOVER_BORDER`
`static java.lang.String` | `PROPERTY_SELECTED_ROLLOVER_FOREGROUND`
`static java.lang.String` | `PROPERTY_SELECTION_DISPLAYBAR_VISIBLE`
`static java.lang.String` | `PROPERTY_WEEK_NUMBER_ABBREVIATION`
`static java.lang.String` | `PROPERTY_WEEK_NUMBER_FOREGROUND`
`static java.lang.String` | `PROPERTY_YEAR_RANGE`
`static java.lang.String` | `PROPERTY_YEAR_SELECTABLE`
`static java.lang.String` | `SEL_YEAR_PREFIX`

Fields inherited from class echopointng.ComponentEx
`PROPERTY_HIDDEN`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Fields inherited from interface echopointng.able.AccessKeyable
`PROPERTY_ACCESS_KEY`

Fields inherited from interface echopointng.able.Borderable
`PROPERTY_BORDER`

Fields inherited from interface echopointng.able.MouseCursorable
`CURSOR_AUTO, CURSOR_CROSSHAIR, CURSOR_CUSTOM_URI, CURSOR_DEFAULT, CURSOR_E_RESIZE, CURSOR_HELP, CURSOR_MOVE, CURSOR_N_RESIZE, CURSOR_NE_RESIZE, CURSOR_NW_RESIZE, CURSOR_POINTER, CURSOR_S_RESIZE, CURSOR_SE_RESIZE, CURSOR_SW_RESIZE, CURSOR_TEXT, CURSOR_W_RESIZE, CURSOR_WAIT, PROPERTY_MOUSE_CURSOR, PROPERTY_MOUSE_CURSOR_URI`

Fields inherited from interface echopointng.able.Insetable
`DEFAULT_INSETS, DEFAULT_OUTSETS, PROPERTY_INSETS, PROPERTY_OUTSETS`

Fields inherited from interface echopointng.able.Widthable
`PROPERTY_WIDTH`

Fields inherited from interface echopointng.able.Heightable
`PROPERTY_HEIGHT`

Fields inherited from interface echopointng.able.ToolTipable
`PROPERTY_TOOL_TIP_TEXT`

Constructor Summary
`DateChooser()` Constructs a `DateChooser` with the currently selected date set to right now.
`DateChooser(java.util.Calendar newSelectedDate)` Constructs a `DateChooser` with the currently selected date set to the one provided.
`DateChooser(java.util.Calendar newSelectedDate, java.util.Locale locale)` Constructs a `DateChooser` with the currently selected date set to the one provided and a the specified Locale.

Method Summary
`static java.util.Calendar` | `calendarClearTimePortion(java.util.Calendar cal)` Clears a `Calendar` of its time portion
`static java.util.Calendar` | `calendarCopy(java.util.Calendar cal)` Copys the values of one `Calendar` into another, always clearing the time portion of the copied `Calendar` if `cal` is null, then null is returned.
`static java.util.Calendar` | `calendarCopy(java.util.Calendar cal, java.util.Locale locale)` Copys the values of one `Calendar` into another, always clearing the time portion of the copied `Calendar` if `cal` is null, then null is returned.
`static java.util.Calendar` | `calendarCopy(java.util.Date date, java.util.Locale locale)` Creates a Calendar, based on the Date object provide that has the time potion cleared from it.
`Color` | `getCalendarBackground()`
`Border` | `getCalendarBorder()`
`Font` | `getCalendarFont()`
`Color` | `getCalendarForeground()`
`Color` | `getCalendarNonMonthForeground()`
`Color` | `getCalendarRolloverBackground()`
`Border` | `getCalendarRolloverBorder()`
`Color` | `getCalendarRolloverForeground()`
`Color` | `getCalendarSelectedBackground()`
`Border` | `getCalendarSelectedBorder()`
`Font` | `getCalendarSelectedFont()`
`Color` | `getCalendarSelectedForeground()`
`java.util.Calendar` | `getDisplayedDate()` A shortcurt method to the model's getDisplayedDate() method.
`int` | `getDowNameLength()` Gets the length of the day of the week names when displayed.
`boolean` | `getFastMode()` When the `DateChooser` is in fast mode, the navigation between months does not result in the `DateSelectionModel` 's displayedDate being updated.
`java.util.Calendar` | `getMaximumDate()` Returns the maximum date the DateChooser will display.
`java.util.Calendar` | `getMinimumDate()` Returns the minimum date the DateChooser will display.
`CalendarSelectionModel` | `getModel()`
`int` | `getMonthNameLength()` Gets the length of the month names when displayed.
`Color` | `getNavigationBackground()`
`ImageReference` | `getNavigationBackwardImage()` Gets the image used as the navigate the `DateChooser` backward in time.
`Font` | `getNavigationFont()`
`Color` | `getNavigationForeground()`
`ImageReference` | `getNavigationForwardImage()` Gets the image used as the navigate the `DateChooser` forward in time.
`boolean` | `getNavigationInhibited()` Returns true if the user is inhbited from navigating beyond the maximum and minimum dates.
`Color` | `getSelectedBackground()`
`Border` | `getSelectedBorder()`
`java.util.Calendar` | `getSelectedDate()` A shortcurt method to the underlying DateChooser's model getSelectedDate() method.
`Font` | `getSelectedFont()`
`Color` | `getSelectedForeground()`
`Color` | `getSelectedRolloverBackground()`
`Border` | `getSelectedRolloverBorder()`
`Color` | `getSelectedRolloverForeground()`
`java.lang.String` | `getWeekNumberAbbreviation()` Returns String for weekNumberAbbreviation (WN)
`Color` | `getWeekNumberForeground()`
`int` | `getYearRange()` Returns the number of years that will appear in the selectable Year field.
`boolean` | `isMonthSelectable()` Returns true if the Month display is selectable
`boolean` | `isNavigationArrowsVisible()` Returns true if the NavigationsArrows are visible
`boolean` | `isSelectionDisplayBarVisible()` Returns true if the SelectionDisplayBar is visible
`boolean` | `isYearSelectable()` Returns true if the Year display is selectable.
`void` | `processInput(java.lang.String inputName, java.lang.Object inputValue)` Processes client input specific to the `Component` received from the `UpdateManager`.
`void` | `setCalendarBackground(Color newCalendarBackground)` Sets the background `Color` of the `DateChooser's` calendar area.
`void` | `setCalendarBorder(Border newValue)` Sets the `Border` of the `DateChooser's` calendar area.
`void` | `setCalendarFont(Font newCalendarFont)` Sets the background `Font` of the `DateChooser's` calendar area.
`void` | `setCalendarForeground(Color newCalendarForeground)` Sets the foreground `Color` of the `DateChooser's` calendar area.
`void` | `setCalendarNonMonthForeground(Color newCalendarNonMonthForeground)` Sets the foreground `Color` of days that are not within the currently displayed date of the `DateChooser's` calendar area.
`void` | `setCalendarRolloverBackground(Color newCalendarRolloverBackground)` Sets the rollover background `Color` of the `DateChooser's` calendar area.
`void` | `setCalendarRolloverBorder(Border newValue)` Sets the rollover `Border` of the selected date in the `DateChooser's` calendar area.
`void` | `setCalendarRolloverForeground(Color newCalendarRolloverForeground)` Sets the rollover foreground `Color` of the `DateChooser's` calendar area.
`void` | `setCalendarSelectedBackground(Color newCalendarBackground)` Sets the background `Color` of the selected date in the `DateChooser's` calendar area.
`void` | `setCalendarSelectedBorder(Border newValue)` Sets the `Border` of the selected date in the `DateChooser's` calendar area.
`void` | `setCalendarSelectedFont(Font newFont)` Sets the foreground `Color` of the selected date in the `DateChooser's` calendar area.
`void` | `setCalendarSelectedForeground(Color newCalendarForeground)` Sets the foreground `Color` of the selected date in the `DateChooser's` calendar area.
`void` | `setDisplayedDate(java.util.Calendar newDisplayedDate)` Sets the currently displayed date within the `DateChooser` into the model.
`void` | `setDowNameLength(int newValue)` Sets the length of the day of the week names when displayed.
`void` | `setFastMode(boolean newValue)` When the `DateChooser` is in fast mode, the navigation between months does not result in the `DateSelectionModel` 's displayedDate being updated.
`void` | `setMaximumDate(java.util.Calendar newValue)` Sets the maximum date the `DateChooser` will display.
`void` | `setMinimumDate(java.util.Calendar newValue)` Sets the minimum date the `DateChooser` will display.
`void` | `setModel(CalendarSelectionModel newModel)` Sets a new `CalendarSelectionModel` model into the `DateChooser`
`void` | `setMonthNameLength(int newValue)` Sets the length of the month names when displayed.
`void` | `setMonthSelectable(boolean newMonthSelectable)` Sets whether the Month field is selectable by the user.
`void` | `setNavigationArrowsVisible(boolean newValue)` Sets whether the NavigationArrows are visible
`void` | `setNavigationBackground(Color newNavigationBackground)` Sets the background `Color` of the `DateChooser's` navigation area.
`void` | `setNavigationBackwardImage(ImageReference newImage)` Sets the image used as the navigate the `DateChooser` backward in time.
`void` | `setNavigationFont(Font newNavigationFont)` Sets the background `Font` of the `DateChooser's` navigation area.
`void` | `setNavigationForeground(Color newNavigationForeground)` Sets the foreground `Color` of the `DateChooser's` navigation area.
`void` | `setNavigationForwardImage(ImageReference newImage)` Sets the image used as the navigate the `DateChooser` forward in time.
`void` | `setNavigationInhibited(boolean newValue)` If set to true the user is inhbited from navigating beyond the maximum and minimum dates.
`void` | `setSelectedBackground(Color newSelectedBackground)` Sets the background `Color` of the `DateChooser's` selected area.
`void` | `setSelectedBorder(Border newValue)` Sets the `Border` in the `DateChooser's` selected area.
`void` | `setSelectedDate(java.util.Calendar newSelectedDate)` Sets the currently selected date within the `DateChooser`
`void` | `setSelectedFont(Font newSelectedFont)` Sets the `Font` of the `DateChooser's` selected area.
`void` | `setSelectedForeground(Color newSelectedForeground)` Sets the foreground `Color` of the `DateChooser's` selected area.
`void` | `setSelectedRolloverBackground(Color newSelectedRolloverBackground)` Sets the rollover background `Color` of the `DateChooser's` selected area.
`void` | `setSelectedRolloverBorder(Border newValue)` Sets the rollover `Border` in the `DateChooser's` selected area.
`void` | `setSelectedRolloverForeground(Color newSelectedRolloverForeground)` Sets the rollover foreground `Color` of the `DateChooser's` selected area.
`void` | `setSelectionDisplayBarVisible(boolean newValue)` Sets whether the SelectionDisplayBar is visible
`void` | `setWeekNumberAbbreviation(java.lang.String abbreviation)` Sets weekNumberAbbreviation
`void` | `setWeekNumberForeground(Color newValue)` Sets the foreground color of the Week Number area
`void` | `setYearRange(int newYearRange)` Returns the number of years that will appear in the selectable Year field.
`void` | `setYearSelectable(boolean newYearSelectable)` Sets whether the Year field is selectable by the user.

Methods inherited from class echopointng.AbleComponent
`getAccessKey, getBorder, getHeight, getInsets, getMouseCursor, getMouseCursorURI, getOutsets, getToolTipText, getWidth, setAccessKey, setBorder, setHeight, setInsets, setMouseCursor, setMouseCursorURI, setOutsets, setToolTipText, setWidth`

Methods inherited from class echopointng.ComponentEx
`getAttribute, getAttributeNames, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, getRenderProperty, isHidden, setAttribute, setHidden, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidChild, isValidParent, isVisible, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Field Detail

### BLACK_AND_WHITE_STYLE

    public static final Style BLACK_AND_WHITE_STYLE

  A black and white Style for DateChooser

### COLORFUL_STYLE

    public static final Style COLORFUL_STYLE

  A colorful Style for DateChooser

### DEFAULT_NAVIGATION_BACKWARD_IMAGE

    public static final ImageReference DEFAULT_NAVIGATION_BACKWARD_IMAGE

### DEFAULT_NAVIGATION_FORWARD_IMAGE

    public static final ImageReference DEFAULT_NAVIGATION_FORWARD_IMAGE

### DEFAULT_STYLE

    public static final Style DEFAULT_STYLE

  The default Style for DateChooser

### PROPERTY_CALENDAR_BACKGROUND

    public static final java.lang.String PROPERTY_CALENDAR_BACKGROUND

See Also:
  Constant Field Values

### PROPERTY_CALENDAR_BORDER

    public static final java.lang.String PROPERTY_CALENDAR_BORDER

See Also:
  Constant Field Values

### PROPERTY_CALENDAR_FONT

    public static final java.lang.String PROPERTY_CALENDAR_FONT

See Also:
  Constant Field Values

### PROPERTY_WEEK_NUMBER_FOREGROUND

    public static final java.lang.String PROPERTY_WEEK_NUMBER_FOREGROUND

See Also:
  Constant Field Values

### PROPERTY_CALENDAR_FOREGROUND

    public static final java.lang.String PROPERTY_CALENDAR_FOREGROUND

See Also:
  Constant Field Values

### PROPERTY_CALENDAR_NON_MONTH_FOREGROUND

    public static final java.lang.String PROPERTY_CALENDAR_NON_MONTH_FOREGROUND

See Also:
  Constant Field Values

### PROPERTY_CALENDAR_ROLLOVER_BACKGROUND

    public static final java.lang.String PROPERTY_CALENDAR_ROLLOVER_BACKGROUND

See Also:
  Constant Field Values

### PROPERTY_CALENDAR_ROLLOVER_BORDER

    public static final java.lang.String PROPERTY_CALENDAR_ROLLOVER_BORDER

See Also:
  Constant Field Values

### PROPERTY_CALENDAR_ROLLOVER_FOREGROUND

    public static final java.lang.String PROPERTY_CALENDAR_ROLLOVER_FOREGROUND

See Also:
  Constant Field Values

### PROPERTY_CALENDAR_SELECTED_BACKGROUND

    public static final java.lang.String PROPERTY_CALENDAR_SELECTED_BACKGROUND

See Also:
  Constant Field Values

### PROPERTY_CALENDAR_SELECTED_BORDER

    public static final java.lang.String PROPERTY_CALENDAR_SELECTED_BORDER

See Also:
  Constant Field Values

### PROPERTY_CALENDAR_SELECTED_FONT

    public static final java.lang.String PROPERTY_CALENDAR_SELECTED_FONT

See Also:
  Constant Field Values

### PROPERTY_CALENDAR_SELECTED_FOREGROUND

    public static final java.lang.String PROPERTY_CALENDAR_SELECTED_FOREGROUND

See Also:
  Constant Field Values

### PROPERTY_DOW_NAME_LENGTH

    public static final java.lang.String PROPERTY_DOW_NAME_LENGTH

See Also:
  Constant Field Values

### PROPERTY_FAST_MODE

    public static final java.lang.String PROPERTY_FAST_MODE

See Also:
  Constant Field Values

### PROPERTY_MAXIMUM_DATE

    public static final java.lang.String PROPERTY_MAXIMUM_DATE

See Also:
  Constant Field Values

### PROPERTY_MINIMUM_DATE

    public static final java.lang.String PROPERTY_MINIMUM_DATE

See Also:
  Constant Field Values

### PROPERTY_MODEL

    public static final java.lang.String PROPERTY_MODEL

See Also:
  Constant Field Values

### PROPERTY_MONTH_NAME_LENGTH

    public static final java.lang.String PROPERTY_MONTH_NAME_LENGTH

See Also:
  Constant Field Values

### PROPERTY_MONTH_SELECTABLE

    public static final java.lang.String PROPERTY_MONTH_SELECTABLE

See Also:
  Constant Field Values

### PROPERTY_NAVIGATION_ARROWS_VISIBLE

    public static final java.lang.String PROPERTY_NAVIGATION_ARROWS_VISIBLE

See Also:
  Constant Field Values

### PROPERTY_NAVIGATION_BACKGROUND

    public static final java.lang.String PROPERTY_NAVIGATION_BACKGROUND

See Also:
  Constant Field Values

### PROPERTY_NAVIGATION_BACKWARD_IMAGE

    public static final java.lang.String PROPERTY_NAVIGATION_BACKWARD_IMAGE

See Also:
  Constant Field Values

### PROPERTY_NAVIGATION_FONT

    public static final java.lang.String PROPERTY_NAVIGATION_FONT

See Also:
  Constant Field Values

### PROPERTY_NAVIGATION_FOREGROUND

    public static final java.lang.String PROPERTY_NAVIGATION_FOREGROUND

See Also:
  Constant Field Values

### PROPERTY_NAVIGATION_FORWARD_IMAGE

    public static final java.lang.String PROPERTY_NAVIGATION_FORWARD_IMAGE

See Also:
  Constant Field Values

### PROPERTY_NAVIGATION_INHIBITED

    public static final java.lang.String PROPERTY_NAVIGATION_INHIBITED

See Also:
  Constant Field Values

### PROPERTY_SELECTED_BACKGROUND

    public static final java.lang.String PROPERTY_SELECTED_BACKGROUND

See Also:
  Constant Field Values

### PROPERTY_SELECTED_BORDER

    public static final java.lang.String PROPERTY_SELECTED_BORDER

See Also:
  Constant Field Values

### PROPERTY_SELECTED_FONT

    public static final java.lang.String PROPERTY_SELECTED_FONT

See Also:
  Constant Field Values

### PROPERTY_SELECTED_FOREGROUND

    public static final java.lang.String PROPERTY_SELECTED_FOREGROUND

See Also:
  Constant Field Values

### PROPERTY_SELECTED_ROLLOVER_BACKGROUND

    public static final java.lang.String PROPERTY_SELECTED_ROLLOVER_BACKGROUND

See Also:
  Constant Field Values

### PROPERTY_SELECTED_ROLLOVER_BORDER

    public static final java.lang.String PROPERTY_SELECTED_ROLLOVER_BORDER

See Also:
  Constant Field Values

### PROPERTY_SELECTED_ROLLOVER_FOREGROUND

    public static final java.lang.String PROPERTY_SELECTED_ROLLOVER_FOREGROUND

See Also:
  Constant Field Values

### PROPERTY_SELECTION_DISPLAYBAR_VISIBLE

    public static final java.lang.String PROPERTY_SELECTION_DISPLAYBAR_VISIBLE

See Also:
  Constant Field Values

### PROPERTY_WEEK_NUMBER_ABBREVIATION

    public static final java.lang.String PROPERTY_WEEK_NUMBER_ABBREVIATION

See Also:
  Constant Field Values

### PROPERTY_YEAR_RANGE

    public static final java.lang.String PROPERTY_YEAR_RANGE

See Also:
  Constant Field Values

### PROPERTY_YEAR_SELECTABLE

    public static final java.lang.String PROPERTY_YEAR_SELECTABLE

See Also:
  Constant Field Values

### SEL_YEAR_PREFIX

    public static final java.lang.String SEL_YEAR_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### DateChooser

    public DateChooser()

  Constructs a `DateChooser` with the currently selected date set to right now.

### DateChooser

    public DateChooser(java.util.Calendar newSelectedDate)

  Constructs a `DateChooser` with the currently selected date set to the one provided.

### DateChooser

    public DateChooser(java.util.Calendar newSelectedDate,
                       java.util.Locale locale)

  Constructs a `DateChooser` with the currently selected date set to the one provided and a the specified Locale.

Method Detail

### calendarClearTimePortion

    public static java.util.Calendar calendarClearTimePortion(java.util.Calendar cal)

  Clears a `Calendar` of its time portion

### calendarCopy

    public static java.util.Calendar calendarCopy(java.util.Calendar cal)

  Copys the values of one `Calendar` into another, always clearing the time portion of the copied `Calendar`

  if `cal` is null, then null is returned.

### calendarCopy

    public static java.util.Calendar calendarCopy(java.util.Calendar cal,
                                                  java.util.Locale locale)

  Copys the values of one `Calendar` into another, always clearing the time portion of the copied `Calendar`

  if `cal` is null, then null is returned.

### calendarCopy

    public static java.util.Calendar calendarCopy(java.util.Date date,
                                                  java.util.Locale locale)

  Creates a Calendar, based on the Date object provide that has the time potion cleared from it.

  Parameters:
    `date` - - a non null Date
    `locale` - - the Locale to use or null to use the default locale
  Returns:
    a Calendar, based on the Date object provide that has the time potion cleared from it.

### getCalendarBackground

    public Color getCalendarBackground()

  Returns:
    The `Color` of the `DateChooser's` calendar area.

### getCalendarBorder

    public Border getCalendarBorder()

  Returns:
    The `Border` of the `DateChooser's` calendar area.

### getCalendarFont

    public Font getCalendarFont()

  Returns:
    The `Font` of the `DateChooser's` calendar area.

### getCalendarForeground

    public Color getCalendarForeground()

  Returns:
    The foreground `Color` of the `DateChooser's` calendar area.

### getCalendarNonMonthForeground

    public Color getCalendarNonMonthForeground()

  Returns:
    The foreground `Color` of days that are not within the the displayed month.

### getCalendarRolloverBackground

    public Color getCalendarRolloverBackground()

  Returns:
    The rollover background `Color` of the `DateChooser's` calendar area.

### getCalendarRolloverBorder

    public Border getCalendarRolloverBorder()

  Returns:
    The rollover `Border` of the `DateChooser's` calendar area.

### getCalendarRolloverForeground

    public Color getCalendarRolloverForeground()

  Returns:
    The rollover foreground `Color` of the `DateChooser's` calendar area.

### getCalendarSelectedBackground

    public Color getCalendarSelectedBackground()

  Returns:
    The `Color` of the selected date in the `DateChooser's` calendar area.

### getCalendarSelectedBorder

    public Border getCalendarSelectedBorder()

  Returns:
    The `Border` of the selected date in the `DateChooser's` calendar area.

### getCalendarSelectedFont

    public Font getCalendarSelectedFont()

  Returns:
    The code>Font of the selected date in the `DateChooser's` calendar area.

### getCalendarSelectedForeground

    public Color getCalendarSelectedForeground()

  Returns:
    The foreground `Color` of the selected date in the `DateChooser's` calendar area.

### getDisplayedDate

    public java.util.Calendar getDisplayedDate()

  A shortcurt method to the model's getDisplayedDate() method.

  Returns:
    The currently displayed date.

### getFastMode

    public boolean getFastMode()

  When the `DateChooser` is in fast mode, the navigation between months does not result in the `DateSelectionModel` 's displayedDate being updated. The model will be updated if the user selects a date however.

  Returns:
    true if the `DateChoooser` is in fast mode

### setFastMode

    public void setFastMode(boolean newValue)

  When the `DateChooser` is in fast mode, the navigation between months does not result in the `DateSelectionModel` 's displayedDate being updated. The model will be updated if the user selects a date however.

  Parameters:
    `newValue` - - the new state of fast mode.

### getMaximumDate

    public java.util.Calendar getMaximumDate()

  Returns the maximum date the DateChooser will display.

  Returns:
    the maximum date the DateChooser will display.

### getMinimumDate

    public java.util.Calendar getMinimumDate()

  Returns the minimum date the DateChooser will display.

  Returns:
    the minimum date the DateChooser will display.

### getDowNameLength

    public int getDowNameLength()

  Gets the length of the day of the week names when displayed.

  ie. 4=Mond, 3=Mon, 2=Mo, 1=M

  The default is 3.

  Returns:
    the length of the day or the week names

### getModel

    public CalendarSelectionModel getModel()

  Returns:
    The `CalendarSelectionModel` currently used by the `DateChooser's`.

### getMonthNameLength

    public int getMonthNameLength()

  Gets the length of the month names when displayed.

  ie. 10=September, 4=Sept, 3=Sep, 1=S

  The default is 3.

  Returns:
    the length of the month names

### getNavigationBackground

    public Color getNavigationBackground()

  Returns:
    The `Color` of the `DateChooser's` navigation area.

### getNavigationBackwardImage

    public ImageReference getNavigationBackwardImage()

  Gets the image used as the navigate the `DateChooser` backward in time.

### getNavigationFont

    public Font getNavigationFont()

  Returns:
    The `Font` of the `DateChooser's` navigation area.

### getNavigationForeground

    public Color getNavigationForeground()

  Returns:
    The foreground `Color` of the `DateChooser's` navigation area.

### getNavigationForwardImage

    public ImageReference getNavigationForwardImage()

  Gets the image used as the navigate the `DateChooser` forward in time.

### getNavigationInhibited

    public boolean getNavigationInhibited()

  Returns true if the user is inhbited from navigating beyond the maximum and minimum dates.

  Returns:
    true if the user is inhbited from navigating beyond the maximum and minimum dates.

### getSelectedBackground

    public Color getSelectedBackground()

  Returns:
    The background `Color` of the `DateChooser's` selected area.

### getSelectedBorder

    public Border getSelectedBorder()

  Returns:
    The `Border` of the `DateChooser's` selected area.

### getSelectedDate

    public java.util.Calendar getSelectedDate()

  A shortcurt method to the underlying DateChooser's model getSelectedDate() method.

  Returns:
    The currently selected date

### getSelectedFont

    public Font getSelectedFont()

  Returns:
    The `Font` of the `DateChooser's` selected area.

### getSelectedForeground

    public Color getSelectedForeground()

  Returns:
    The foreground `Color` of the `DateChooser's` selected area.

### getSelectedRolloverBackground

    public Color getSelectedRolloverBackground()

  Returns:
    The rollover background `Color` of the `DateChooser's` selected area.

### getSelectedRolloverBorder

    public Border getSelectedRolloverBorder()

  Returns:
    The rollover `Border` of the `DateChooser's` selected area.

### getSelectedRolloverForeground

    public Color getSelectedRolloverForeground()

  Returns:
    The rollover foreground `Color` of the `DateChooser's` selected area.

### getWeekNumberAbbreviation

    public java.lang.String getWeekNumberAbbreviation()

  Returns String for weekNumberAbbreviation (WN)

  Returns:
    String

### getYearRange

    public int getYearRange()

  Returns the number of years that will appear in the selectable Year field.

  Returns:
    int

### isMonthSelectable

    public boolean isMonthSelectable()

  Returns true if the Month display is selectable

  Returns:
    boolean

### isNavigationArrowsVisible

    public boolean isNavigationArrowsVisible()

  Returns true if the NavigationsArrows are visible

  Returns:
    boolean

### isSelectionDisplayBarVisible

    public boolean isSelectionDisplayBarVisible()

  Returns true if the SelectionDisplayBar is visible

  Returns:
    boolean

### isYearSelectable

    public boolean isYearSelectable()

  Returns true if the Year display is selectable.

  Returns:
    boolean

### processInput

    public void processInput(java.lang.String inputName,
                             java.lang.Object inputValue)

  Description copied from class: `Component`
  Processes client input specific to the `Component` received from the `UpdateManager`. Derivative implementations should take care to invoke `super.processInput()`.

  Overrides:
    `processInput` in class `Component`
  Parameters:
    `inputName` - the name of the input
    `inputValue` - the value of the input
  See Also:
    `Component.processInput(java.lang.String, java.lang.Object)`

### setCalendarBackground

    public void setCalendarBackground(Color newCalendarBackground)

  Sets the background `Color` of the `DateChooser's` calendar area.

### setCalendarBorder

    public void setCalendarBorder(Border newValue)

  Sets the `Border` of the `DateChooser's` calendar area.

### setCalendarFont

    public void setCalendarFont(Font newCalendarFont)

  Sets the background `Font` of the `DateChooser's` calendar area.

### setCalendarForeground

    public void setCalendarForeground(Color newCalendarForeground)

  Sets the foreground `Color` of the `DateChooser's` calendar area.

### setCalendarNonMonthForeground

    public void setCalendarNonMonthForeground(Color newCalendarNonMonthForeground)

  Sets the foreground `Color` of days that are not within the currently displayed date of the `DateChooser's` calendar area.

### setCalendarRolloverBackground

    public void setCalendarRolloverBackground(Color newCalendarRolloverBackground)

  Sets the rollover background `Color` of the `DateChooser's` calendar area.

### setCalendarRolloverBorder

    public void setCalendarRolloverBorder(Border newValue)

  Sets the rollover `Border` of the selected date in the `DateChooser's` calendar area.

### setCalendarRolloverForeground

    public void setCalendarRolloverForeground(Color newCalendarRolloverForeground)

  Sets the rollover foreground `Color` of the `DateChooser's` calendar area.

### setCalendarSelectedBackground

    public void setCalendarSelectedBackground(Color newCalendarBackground)

  Sets the background `Color` of the selected date in the `DateChooser's` calendar area.

### setCalendarSelectedBorder

    public void setCalendarSelectedBorder(Border newValue)

  Sets the `Border` of the selected date in the `DateChooser's` calendar area.

### setCalendarSelectedFont

    public void setCalendarSelectedFont(Font newFont)

  Sets the foreground `Color` of the selected date in the `DateChooser's` calendar area.

### setCalendarSelectedForeground

    public void setCalendarSelectedForeground(Color newCalendarForeground)

  Sets the foreground `Color` of the selected date in the `DateChooser's` calendar area.

### setDisplayedDate

    public void setDisplayedDate(java.util.Calendar newDisplayedDate)

  Sets the currently displayed date within the `DateChooser` into the model.

  Parameters:
    `newDisplayedDate` - - the new displayed date

### setMaximumDate

    public void setMaximumDate(java.util.Calendar newValue)

  Sets the maximum date the `DateChooser` will display. If this is null then no date restriction is put in place.

  Parameters:
    `newValue` - - the new Maximum date.

### setMinimumDate

    public void setMinimumDate(java.util.Calendar newValue)

  Sets the minimum date the `DateChooser` will display. If this is null then no date restriction is put in place.

  Parameters:
    `newValue` - - the new Maximum date.

### setDowNameLength

    public void setDowNameLength(int newValue)

  Sets the length of the day of the week names when displayed.

  ie. 4=Mond, 3=Mon, 2=Mo, 1=M

  The default is 3.

  Parameters:
    `newValue` - - the maximum length of the day of the week names

### setModel

    public void setModel(CalendarSelectionModel newModel)

  Sets a new `CalendarSelectionModel` model into the `DateChooser`

### setMonthNameLength

    public void setMonthNameLength(int newValue)

  Sets the length of the month names when displayed.

  ie. 10=September, 4=Sept, 3=Sep, 1=S

  The default is 3.

  Parameters:
    `newValue` - - the maximum length of the month names

### setMonthSelectable

    public void setMonthSelectable(boolean newMonthSelectable)

  Sets whether the Month field is selectable by the user.

### setNavigationArrowsVisible

    public void setNavigationArrowsVisible(boolean newValue)

  Sets whether the NavigationArrows are visible

### setNavigationBackground

    public void setNavigationBackground(Color newNavigationBackground)

  Sets the background `Color` of the `DateChooser's` navigation area.

### setNavigationBackwardImage

    public void setNavigationBackwardImage(ImageReference newImage)

  Sets the image used as the navigate the `DateChooser` backward in time.

### setNavigationFont

    public void setNavigationFont(Font newNavigationFont)

  Sets the background `Font` of the `DateChooser's` navigation area.

### setNavigationForeground

    public void setNavigationForeground(Color newNavigationForeground)

  Sets the foreground `Color` of the `DateChooser's` navigation area.

### setNavigationForwardImage

    public void setNavigationForwardImage(ImageReference newImage)

  Sets the image used as the navigate the `DateChooser` forward in time.

### setNavigationInhibited

    public void setNavigationInhibited(boolean newValue)

  If set to true the user is inhbited from navigating beyond the maximum and minimum dates.

  Parameters:
    `newValue` - - the new value

### setSelectedBackground

    public void setSelectedBackground(Color newSelectedBackground)

  Sets the background `Color` of the `DateChooser's` selected area.

### setSelectedBorder

    public void setSelectedBorder(Border newValue)

  Sets the `Border` in the `DateChooser's` selected area.

### setSelectedDate

    public void setSelectedDate(java.util.Calendar newSelectedDate)

  Sets the currently selected date within the `DateChooser`

### setSelectedFont

    public void setSelectedFont(Font newSelectedFont)

  Sets the `Font` of the `DateChooser's` selected area.

### setSelectedForeground

    public void setSelectedForeground(Color newSelectedForeground)

  Sets the foreground `Color` of the `DateChooser's` selected area.

### setSelectedRolloverBackground

    public void setSelectedRolloverBackground(Color newSelectedRolloverBackground)

  Sets the rollover background `Color` of the `DateChooser's` selected area.

### setSelectedRolloverBorder

    public void setSelectedRolloverBorder(Border newValue)

  Sets the rollover `Border` in the `DateChooser's` selected area.

### setSelectedRolloverForeground

    public void setSelectedRolloverForeground(Color newSelectedRolloverForeground)

  Sets the rollover foreground `Color` of the `DateChooser's` selected area.

### setSelectionDisplayBarVisible

    public void setSelectionDisplayBarVisible(boolean newValue)

  Sets whether the SelectionDisplayBar is visible

### setWeekNumberAbbreviation

    public void setWeekNumberAbbreviation(java.lang.String abbreviation)

  Sets weekNumberAbbreviation

### setYearRange

    public void setYearRange(int newYearRange)

  Returns the number of years that will appear in the selectable Year field.

### setYearSelectable

    public void setYearSelectable(boolean newYearSelectable)

  Sets whether the Year field is selectable by the user.

### getWeekNumberForeground

    public Color getWeekNumberForeground()

  Returns:
    the foreground color of the Week Number area

### setWeekNumberForeground

    public void setWeekNumberForeground(Color newValue)

  Sets the foreground color of the Week Number area

  Parameters:
    `newValue` - - the new color

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD